//Include the necessary libraries
#include <Wire.h>
#include <Sodaq_DS3231.h>

Sodaq_DS3231 RTC; //Create RTC object for DS3231 RTC come Temp Sensor 
//year, month, date, hour, min, sec and week-day(starts from 0 and goes to 6)
//writing any non-existent time-data may interfere with normal operation of the RTC.
//Take care of week-day also.*/
DateTime dt(2014, 06, 05, 11, 5, 00, 4);

void setup()
{
  //Start serial
  Serial.begin(9600);
  Serial.println("Date       Time");
  
  //Start the I2C protocol
  Wire.begin();
  
  //Initialise the DS3231 
  RTC.begin();
  //Comment tis line once updated RTC
  RTC.setDateTime(dt); //Adjust date-time as defined 'dt' above 
  
}
 
void loop()
{
  String data = getDateTime();
  Serial.println(data);
  delay(1000);
}

String getDateTime()
{
  String dateTimeStr;
  
  //Create a DateTime object from the current time
  DateTime dt(RTC.makeDateTime(RTC.now().getEpoch()));

  //Convert it to a String
  dt.addToString(dateTimeStr);
  
  return dateTimeStr;  
}
